import Vue from 'vue';

async function getAudioContentList(page) {
    return Vue.axios.get(
        "/creator-admin/audio-content/list?page=" + (page - 1) +
        "&size=10"
    )
}

async function searchAudioContent(searchWord, page){
    return Vue.axios.get(
        "/creator-admin/audio-content/search?search_word=" + searchWord +
        "&page=" + (page - 1) +
        "&size=10"
    )
}

async function modifyAudioContent(request) {
    return Vue.axios.put("/creator-admin/audio-content", request)
}

export {
    getAudioContentList,
    searchAudioContent,
    modifyAudioContent
}
